﻿
@{
    ViewBag.Title = "GetConactInformation";
}


<!DOCTYPE html>
<html lang="en">
<head>
    <!-- META SECTION -->
    <title>Atlant - Responsive Bootstrap Admin Template</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div class="page-container">
        <div class="page-content">
            <ul class="breadcrumb">
                <li><a href="@Url.Action("Index", "Home")">Home</a></li>
                <li><a href="@Url.Action("User", "Contacts")">User List</a></li>
                <li class="active">CallLog History</li>
            </ul>
            <!-- END BREADCRUMB -->
            <!-- PAGE TITLE -->
            <div class="page-title">
                @*<h2 style="padding: 0px 0px 0px 15px;">
                        <span class="fa fa-users"></span> Contact List

                    </h2>*@
                <h2 style="padding: 0px 0px 0px 15px;">
                    <span class="fa fa-users"></span> CallLog History
                </h2>
            </div>
            <!-- END PAGE TITLE -->
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">

                <div class="box box-info">
                    <br />
                    <div class="container-fluid">
                        <div class="panel panel-primary panel-transparent">
                          
                            <div class="panel-heading">
                                <h3 class="panel-title">Search</h3>

                            </div>
                            <div class="panel-body">
                               


                                <div class="col-md-4 col-sm-4 col-xs-12 column">
                                    <label class="col-md-3 col-sm-3 col-xs-12 lbl" for="first-name" id="lbl_selectCity">CallLog Date</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-calendar"></i>
                                            </div>
                                            <input type="text" class="form-control pull-right" id="reservation">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-4 col-xs-12 column">
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <button class="btn btn-primary col-md-5 f-right" type="button" id="btnClear">Clear <i class="fa fa-undo"></i></button>
                                    </div>
        </div>

                             

                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">

                        <div class="panel-heading" style="padding:1px 15px; ">

                            <div>
                            </div>
                            <div id="contact-lists">
                                <ul style="list-style: none;margin:0 0 10px 0px; " class="list-group" id="itemContainer">

                                    <li class="list-group-item">
                                       
                                        <ul id="test"></ul>

                                        <div >
                                                <table class="display" style="width:100%;" id="myTable" cellspacing="0">
                                                    <thead>
                                                        <tr>
                                                            <th style="display:none">Name</th>
                                                            <th>Mobile Number</th>
                                                            <th>Duration</th>
                                                            <th>Call Date</th>
                                                            <th>Zone</th>
                                                            <th>SGID</th>
                                                            @*<th style="display:none">user_id</th>*@
                                                        </tr>
                                                    </thead>
                                                </table>
                                        </div>


                                        <div class="clearfix"></div>
                                    </li>

                                </ul>
                                <div class="holder">
                                </div>

                                <p id="legend1">
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- END PAGE CONTENT WRAPPER -->
        </div>
</body>
</html>
@section scripts{
<script src="@Url.Content("~/Scripts/Lib/jquery-ui.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/moment.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/jquery.dataTables.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/dataTables.select.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/buttons.print.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/dataTables.buttons.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/jszip.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/buttons.html5.min.js")"></script>

<link href="~/Content/chosen.css" rel="stylesheet" />
<script src="~/Scripts/Lib/chosen.jquery.min.js"></script>

<link href="~/Content/daterangepicker.css" rel="stylesheet" />
<script src="~/Scripts/Lib/daterangepicker.js"></script>
    <script>


        window.location.hash = "no-back-button";
        window.location.hash = "Again-No-back-button";//again because google chrome don't insert first hash into history
        window.onhashchange = function () { window.location.hash = "no-back-button"; }

        var LoadData = '@Url.Action("LoadDatas", "Contacts")';
        var ExportData = '@Url.Action("ExportDatas", "Contacts")';
            $('#reservation').daterangepicker({
                format: 'MM/DD/YYYY',
                showShortcuts: false,
            });


        $(document).ready(function () {
            function ClearFilter() {
                oTable.search('').columns().search('').draw();
            }

            $("#btnClear").on("click", function () {
                $("#dd_bg").val(0);// ddlbg.options[ddlbg.selectedIndex].text();

                ClearFilter();
            });
        });

        //jQuery DataTables initialization
        $('#myTable').DataTable({
            "processing": true, // for show processing bar
            "serverSide": true, // for process on server side
            "orderMulti": false, // for disable multi column order
            "dom": '<"top"i>rt<"bottom"lp><"clear">', // for hide default global search box // little confusion? don't worry I explained in the tutorial website
            "ajax": {
                "url": LoadData,
                "type": "POST",
                "datatype": "json"
            },
            dom: 'Blfrtip',
          
            "columns": [
                { "data": "empname", "name": "empname", "autoWidth": true, "className": "hide_column", "visible": false }, //index 0
                { "data": "mobno", "name": "mobno", "autoWidth": true }, //index 0
                { "data": "duration", "name": "duration", "autoWidth": true }, //index 1
                 {
                     "data": "calldate",
                     "type": "datetime ",
                     "render":function (value) {
                         if (value === null) return "";
                         var pattern = /Date\(([^)]+)\)/;
                         var results = pattern.exec(value);
                         var dt = new Date(parseFloat(results[1]));
                         return (dt.getMonth() + 1) + "/" + dt.getDate() + "/" + dt.getFullYear();
                     }
                 },
                //index 2
                { "data": "zone", "name": "zone", "autoWidth": true },
                  { "data": "SGID", "name": "SGID", "autoWidth": true },
                //{ "data": "user_id", "name": "user_id", "autoWidth": true, "className": "hide_column" },               //index 4
            ],
            "dom": 'Bfrtip',

            buttons: [
            {
                extend: 'excel',
                text: 'Export to Excel',
                className: 'btn btn-success',
                exportOptions: {
                    columns: [0, 1, 2, 3, 9],
                    orthogonal: 'sort'
                },
                action: function (e, dt, node, config) {
                   window.location.href = ExportData;
                   
                    //$.ajax({
                    //    type: "GET",
                    //    url: ExportData,


                    //    dataType: "json",
                    //    success: function (result) {
                    //        alert(result.d);
                    //    }
                    //});
                },
                customizeData: function (data) {// This Fuction used to avoid removing preceding zero after exporting to excel
                    for (var i = 0; i < data.body.length; i++) {
                        for (var j = 0; j < data.body[i].length; j++) {
                            data.body[i][j] = '\u200C' + data.body[i][j];
                        }
                    }
                }
            },
            ]
        });


        
        // Re-draw the table when the a date range filter changes
        $('#dd_ZONE').change(function () {
            search();
          
        });

        // Re-draw the table when the a date range filter changes
        $('#reservation').change(function () {
            search();

        });



        //Apply Custom search on jQuery DataTables here
        oTable = $('#myTable').DataTable();
        function search() {

            ClearFilter();
            //BgSearch
            var _WeightageID = $("#reservation").val();
        
           
            if (_WeightageID != null) {
                oTable.columns(3).search($('#reservation').val().trim());
            }

            //var zone = $("#dd_ZONE").val();
           
            //if (zone != "0" && zone != null & zone != "null" && zone != ""){
            //    oTable.columns(4).search($('#dd_ZONE').val().trim());
            //}
            oTable.draw();
        }
        function ClearFilter() {
            oTable.search('').columns().search('').draw();
        }



        function simpleStringify(object) {
            var simpleObject = {};
            for (var prop in object) {
                if (!object.hasOwnProperty(prop)) {
                    continue;
                }
                if (typeof (object[prop]) == 'object') {
                    continue;
                }
                if (typeof (object[prop]) == 'function') {
                    continue;
                }
                simpleObject[prop] = object[prop];
            }
            return JSON.stringify(simpleObject); // returns cleaned up JSON
        };

        //function GetWeightages() {

        //	optionlist = $('#Weightage');
        //	optionlist.empty();
        //	$.getJSON(GetWeightage)
        //		.done(function (data) {
        //			optionlist.append(new Option("Select Weightage", "null")).attr("selected", "true");

        //			$.each(data, function (i, option) {
        //				//bglist.append(new Option(bg.bg_name, bg.bg_id));
        //				optionlist.append('<option value="' + option.option_weightage + '">' + option.option_weightage + '</option>').trigger("chosen:updated");

        //			});
        //		})
        //		.fail(function (jqxhr, textStatus, error) {
        //			var err = textStatus + ", " + error;
        //			console.log("Request Failed: " + err);
        //		});
        //}



        //Function for showing error message
        function showError(errorMsg) {
            var div = $('.alert');
            var p = $('.alert p');
            if (errorMsg !== "") {
                div.removeClass("hidden");
            }
            else {
                div.addClass("hidden");
            }
            p.text(errorMsg);
        }
        </script>
}


<style type="text/css">
    .ui-autocomplete {
        max-height: 200px;
        overflow-y: auto;
        /* prevent horizontal scrollbar */
        overflow-x: hidden;
        /* add padding to account for vertical scrollbar */
        padding-right: 20px;
    }
    /*.dataTables_filter {
        display: none;
    }*/

    div.dt-buttons {
        float: right;
        margin-left: 10px;
        margin-top: 10px;
    }

    .buttons-print {
        background-color: red;
        color: white;
    }

    .buttons-excel {
        background-color: blue;
        color: white;
    }
</style> 